﻿using Avalonia.Controls;
using ReactiveUI;
using System;
using System.Net;
using UPtur.Models;
using UPtur.Views;

namespace UPtur.ViewModels
{
    public class MainWindowViewModel : ViewModelBase
    {

        public static UpPrytovContext DB = new UpPrytovContext();
        UserControl us = new Views.PageNavigate();
        public UserControl US
        {
            get => us;
            set => this.RaiseAndSetIfChanged(ref us, value);
        }

        PageNavigateViewModel PN = new PageNavigateViewModel();

        public void ChangePageToHotels()
        {
            US = new Hotels();
        }
        public void ChangePageToTours()
        {
            US = new Tours();
        }
    }

    
}
